# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'civo/logger/version'

Gem::Specification.new do |spec|
  spec.name          = "civo-logger"
  spec.version       = Civo::Logger::VERSION
  spec.authors       = ["Andy Jeffries"]
  spec.email         = ["hello@civo.com"]

  spec.summary       = %q{A per-request logger}
  spec.description   = %q{Sends each request individually to Redis}
  spec.homepage      = "https://www.civo.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "influxdb"
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
